import { message } from 'antd'
import { extendInclude, extendRule, getDataFieldValue, setDataFieldValue, initFilter, empty, extendOrder } from "../../utils/common";
export default {
  onBeforeSaveHandleRecord(params) {
    params.record.TaskID = params.data.TaskID        //TaskID传递消息表ID
    params.record.PUBLISH = params.customParams;
  },
  onSubChange: ({ row, pageCode, record, colInfo, dispatch, stateData, props, saveRowRecord }) => {
    if (colInfo.FIELD_NAME == 'EVALUATE_L' || colInfo.FIELD_NAME == 'EVALUATE_E' || colInfo.FIELD_NAME == 'EVALUATE_C') {
      let score = record.EVALUATE_L * record.EVALUATE_E * record.EVALUATE_C;
      let level = "";
      if (score > 320) {
        level = "10";
      } else if (160 < score && score <= 320) {
        level = "20";
      } else if (70 < score && score <= 160) {
        level = "30";
      } else if (score <= 70) {
        level = "40";
      }
      record["EVALUATE_SCORE"] = score.toFixed(2);
      record["EVALUATE_LEVEL"] = level;
      saveRowRecord(record);
    }
    if (colInfo.FIELD_NAME != 'MODIFY_TYPE') {
      if (record["MODIFY_TYPE"] == 0) {
        record["MODIFY_TYPE"] = 1;
      }
      saveRowRecord(record);
    }
  },
  onBeforeEdit({ setFieldValue,setFieldVisible,stateData }) {
    if(stateData.EVALUATE_TYPE==1){
      setFieldVisible('Example', false);
    }else{
      let Ldata = `L[实际不可能:0.1        极不可能:0.2        很不可能,可以设想:0.5        可能性小,完全意外:1        可能,但不经常:3        相当可能:6        完全可以预料:10]`;
      let Edata = `E[非常罕见暴露:0.5        每年几次暴露:1        每月一次暴露:2        每周一次或偶然暴露:3        每天工作时间内暴露:6        连续暴露:10]`;
      let Cdata = `C[引人注意:1        重大,伤残:3        严重:7        1~2人死亡:15        3~9人死亡:40        10人以上死亡:100]`;
      let Ddata = `D[稍有危险可以接受:<20        一般危险需要注意:20-70        显著危险需要整改:70-160        高度危险立即整改:160-320         极其危险,不能继续作业:>320]`;
      setFieldValue("Example", Ldata + '\n' + Edata + '\n' + Cdata + '\n' + Ddata);
    }
  }
}
